Skip to main content

Get key dates for employer campaign

GET 
/v1/campaigns/:campaignId/properties

Gets key dates for an employer's campaign.

Request the employer.advertising.campaign.read OAuth scope to get an access token that represents an employer. See Get access token that represents employer.

OAuth scopeAccess token type
employer.advertising.campaign.read

Access token that represents an employer.

Request

Path Parameters

    campaignId stringrequired

    Campaign ID.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    dateCreated date

    Date when the campaign was created. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.

    firstSpendDate date

    Date when the campaign spent first time. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.

    lastSpendDate date

    Date when the campaign spent last time. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.

Loading...

Was this page helpful?